#!/bin/sh

set -e

ROOT=/usr/share/gallery
CONFDIR=/etc/gallery

if [ `whoami` != "root" ] ; then
    echo "You must be root to run this script" 2>&1
    exit 1
fi

for file in $CONFDIR/config/default.php $CONFDIR/htaccess ; do
    if [ ! -f $file ]; then
        touch $file
    fi
    chown www:root $file
    chmod 644 $file
done

chmod 755 $ROOT/setup


echo ""
echo "You are now in setup mode.  Your Gallery installation"
echo "can be configured by pointing your web browser"
echo "to the setup wizard (e.g. http://www.example.com/gallery/setup/index.php) "
echo ""
